package cn.feast.coding.mapper.generator;


import cn.feast.coding.model.generator.ModuleProject;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * Created By FeastCoding.
 */
public interface ModuleProjectMapper {
    Integer save(ModuleProject model);

    void update(ModuleProject model);

    void deleteById(Integer id);

    int queryByCount(ModuleProject model);

    List<ModuleProject> queryByList(Map paramsMap);

    List<ModuleProject> queryByModuleProject(ModuleProject model);

    ModuleProject queryById(Integer id);

    List<ModuleProject> queryByProject(Integer projectId);

    List<ModuleProject> queryByModule(Integer moduleId);

    void deleteProjectRelatedData(Integer projectId);

    List<ModuleProject> queryByProjectAndModule(@Param("projectId") Integer projectId, @Param("moduleName") String moduleName);
}